Subject: bug#21559: 25.0.50; auto-revert-mode breaks git rebase

From: Ben Gamari <[email-masked]>
Date: Sun, 07 Feb 2016 18:22:53 +0100

Mitchel Humpherys <[email-masked]> writes:

> There's no rebase there, so detecting a rebase to skip auto-revert
> wouldn't help...
>
Indeed. This is a good point.

> Hopefully we can get rid of the `git status' from the auto-revert path
> altogether.  It looks like the only place we do a `git status' is in
> `vc-git-conflicted-files'.  We call that from `vc-git-find-file-hook' to
> see if we should start smerge.  But I don't see how we get there from
> auto-revert.

I believe the path is,

    auto-revert-handler
    vc-refresh-state
    vc-call-backend 'file-life-hook
    vc-git-find-file-hook

I'm not sure whether it is possible to eliminate the `git status' call.